Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2908 - Gnome/Enlightenment dumps core on reboots
Summary: Gnome/Enlightenment dumps core on reboots
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-18 14:25 UTC by Suhaib Siddiqi
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-06 16:01:11 UTC


Attachments (Terms of Use)

Description Suhaib Siddiqi 1999-05-18 14:25:36 UTC
RedHat 6.0 does core dump, if Gnome/Enlightment is used
as desktop.  If I use AfterStep or anyother desktop windows
manager, core file is not created.

On each reboot Gnome/Enlightment creates a *core* file
under /root, though system boots and works OK.  It is
annoying to see *core* in /root on each rebot of RedHat 6.0

Comment 1 Derek Tattersall 1999-05-18 19:08:59 UTC
Try to use gdb to determine which program is causing the core dump.  I
can not get gnome/enlightenment to fail.

------- Email Received From  "Suhaib M. Siddiqi" <Ssiddiqi@InspirePharm.Com> 05/18/99 15:23 -------

Comment 2 Suhaib Siddiqi 1999-05-19 00:45:59 UTC
OK here is the GDB report of the core file.  Drivemount_applet
in Gnome does a core dump.
--GDB/DDD output---
Core was generated by 'drivemount_applet --activate-goad-server
drivemount-applet-factory'
Program terminated with signal 6, Aborted
#0 0x40416111 in ?? ()
----
Removing drivemount option from Factory installed settings stops
producing core dump.

Comment 3 Jay Turner 1999-05-19 14:29:59 UTC
I am able to recreate this in the lab.

------- Email Received From  "Suhaib M. Siddiqi" <Ssiddiqi@InspirePharm.Com> 05/20/99 06:13 -------

Comment 4 Michael Fulbright 1999-07-06 16:01:59 UTC
This will be fixed soon in a gnome-core and gtk+ update.

It has to do with how GNOME/GTK+ programs handled the case
where they could no longer talk to the X server.  For debugging
purposes a core file was created. This behaviour will be changed.


Note You need to log in before you can comment on or make changes to this bug.